Extending Qt Creator Manual | ColorTip

Extending Qt Creator Manual 4.7.1

# ColorTip Class

(Utils::Internal::ColorTip)

Inherits: | Utils::Internal::QTipLabel

- List of all members, including inherited members

## Public Functions

| ColorTip(int *parent)
virtual void | configure(const int &pos, int *w)
virtual bool | equals(int typeId, const int &other, const int &otherHelpId) const
virtual void | paintEvent(int *event)
virtual void | setContent(const int &content)

## Reimplemented Public Functions

virtual bool | canHandleContentReplacement(int typeId) const
virtual int | showTime() const

## Member Function Documentation

### ColorTip::ColorTip(int *parent)

Default constructs an instance of ColorTip.

### `[virtual]` bool ColorTip::canHandleContentReplacement(int typeId) const

### `[virtual]` void ColorTip::configure(const int &pos, int *w)

### `[virtual]` bool ColorTip::equals(int typeId, const int &other, const int &otherHelpId) const

### `[virtual]` void ColorTip::paintEvent(int *event)

### `[virtual]` void ColorTip::setContent(const int &content)

### `[virtual]` int ColorTip::showTime() const